VERIFIED SOLUTION i

How to find if Mail360 DataManager 2.5 is supported with SQL Server 2014

Product Feature: Database

 
SQL server 2012 Enterprise Edition is certified as the supported database for Mail360 Data Manager version 2.5.

SQL server 2014 is not recommended to use with Mail360 Data Manager 2.5. 
UPDATED:  April 21, 2017